<script>
	//@ts-nocheck
	// Added to prevent type errors for @editorjs different components
	import { onMount } from "svelte";

	let editor = null;

	onMount(async () => {
		const EditorJS = (await import ('@editorjs/editorjs')).default;
		const Checklist = (await import ('@editorjs/checklist')).default;
		const Code = (await import ('@editorjs/code')).default;
		const Delimiter = (await import ('@editorjs/delimiter')).default;
		const Embed = (await import ('@editorjs/embed')).default;
		const Footnotes = (await import ('@editorjs/footnotes')).default;
		const Header = (await import ('@editorjs/header')).default;
		const Image = (await import ('@editorjs/image')).default;
		const InlineCode = (await import ('@editorjs/inline-code')).default;
		const Link = (await import ('@editorjs/link')).default;
		const List = (await import ('@editorjs/list')).default;
		const Marker = (await import ('@editorjs/marker')).default;
		const NestedList = (await import ('@editorjs/nested-list')).default;
		const Paragraph = (await import ('@editorjs/paragraph')).default;
		const Quote = (await import ('@editorjs/quote')).default;
		const Raw = (await import ('@editorjs/raw')).default;
		const SimpleImage = (await import ('@editorjs/simple-image')).default;
		const Table = (await import ('@editorjs/table')).default;
		const Warning = (await import ('@editorjs/warning')).default;

		editor = new EditorJS({
			holder: 'editor',
			tools: {
				Checklist,
				Code,
				Delimiter,
				Embed,
				Footnotes,
				Header,
				Image,
				InlineCode,
				Link,
				List,
				Marker,
				NestedList,
				Paragraph,
				Quote,
				Raw,
				SimpleImage,
				Table,
				Warning
			}
		})
	})
</script>

<div id="editor" />